---
title: Create
slug: create
description: Learn how to create a note using the curl command in an API with this comprehensive document. Explore code examples, including essential headers and required data for the request. Discover both successful creation scenarios with an ID and error handling w
docTags: 
createdAt: 2023-09-28T16:32:15.176Z
---

:::ApiMethodV2
```json
{
  "name": "Create a Note",
  "method": "POST",
  "url": "https://data.successeve.com/v2/notes",
  "description": " ",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "wZjkJ3EL1aF0eDvd5mGip",
        "language": "curl",
        "code": "curl --location --request POST 'https://data.successeve.com/v2/notes' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json' \\\n--header 'Authorization:Bearer <Your access token>'\n--data-raw '\n{\n    \"contact_id\":\"5ea9c11ac4e7b94be03abc28\",\n    \"body\": \"This is may awesome note\\nThanks\",\n    \"user_id\":\"528a824a646f6c682d0000ac\"\n}'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "wZjkJ3EL1aF0eDvd5mGip"
  },
  "results": {
    "languages": [
      {
        "id": "LoiVFAXy7r3TI8uoe7vwu",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"object\": \"note\",\n    \"id\": \"5ea9cb7d9677ff523a2c0fe8\"\n}"
      },
      {
        "id": "JHsNSyu4Jg7u6CrHecnsc",
        "language": "404",
        "customLabel": "",
        "code": "{\n      \"message\": \"Ain't no cake like that.\"\n    }"
      }
    ],
    "selectedLanguageId": "LoiVFAXy7r3TI8uoe7vwu"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "name": "user_id",
        "kind": "optional",
        "type": "string",
        "description": "Author of the note who must be a user",
        "children": []
      },
      {
        "name": "body",
        "kind": "optional",
        "type": "string",
        "description": "Contact related to the note",
        "children": []
      },
      {
        "name": "contact_id",
        "kind": "optional",
        "type": "string",
        "description": "Contact related to the note",
        "children": []
      },
      {
        "name": "account_id",
        "kind": "optional",
        "type": "string",
        "description": "Account related to the note",
        "children": []
      },
      {
        "name": "occured_at",
        "kind": "optional",
        "type": "Number",
        "description": "Timestamp at which the note was written",
        "children": []
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  }
}
```
:::

